/**
 * @typedef {Object} AdEvent
 * @property {string} type Event type
 * @property {number} timestamp Current client time `Date.now()`
 * @property {string} issuer Always `smartclip`
 */

/**
 * @typedef {Object} AdBreak Definition of the upcoming ad slot.
 * @property {string} type of the ad slot. See [`AdBreak.type`](setup.md#adbreak+type) Defaulting to `linear`.
 * @property {string} tag AdRequest URL
 * @property {string} response direct VAST XML
 * @property {string} opener
 * @property {string} bumper
 * @property {string} closer
 */
